# Generated by Django 5.2 on 2024-09-04 15:02

import django.db.models.deletion
import lamindb.base.ids
import lamindb.base.users
import lamindb.models
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("clinicore", "0003_alter_project_uid"),
        (
            "lamindb",
            "0064_alter_artifact_version_alter_collection_version_and_more",
        ),
    ]

    operations = [
        migrations.RemoveField(
            model_name="biosample",
            name="project",
        ),
        migrations.CreateModel(
            name="ClinicalTrial",
            fields=[
                ("created_at", models.DateTimeField(auto_now_add=True, db_index=True)),
                ("updated_at", models.DateTimeField(auto_now=True, db_index=True)),
                ("id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "uid",
                    models.CharField(
                        default=lamindb.base.ids.base62_8, max_length=8, unique=True
                    ),
                ),
                ("name", models.CharField(db_index=True, default=None, max_length=255)),
                ("title", models.TextField(default=None, null=True)),
                ("objective", models.TextField(default=None, null=True)),
                ("description", models.TextField(default=None, null=True)),
                (
                    "_previous_runs",
                    models.ManyToManyField(related_name="+", to="lamindb.run"),
                ),
                (
                    "artifacts",
                    models.ManyToManyField(
                        related_name="clinical_trials", to="lamindb.artifact"
                    ),
                ),
                (
                    "collections",
                    models.ManyToManyField(
                        related_name="clinical_trials", to="lamindb.collection"
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        default=lamindb.base.users.current_user_id,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="lamindb.user",
                    ),
                ),
                (
                    "run",
                    models.ForeignKey(
                        default=lamindb.models.current_run,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="lamindb.run",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(lamindb.models.CanCurate, models.Model),
        ),
        migrations.AddField(
            model_name="biosample",
            name="clinical_trial",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="biosamples",
                to="clinicore.clinicaltrial",
            ),
        ),
        migrations.DeleteModel(
            name="Project",
        ),
    ]
